Creates a type of work.

POSThttps://api.awork.com/api/v1/typeofwork
POST https://api.awork.com/api/v1/typeofwork

Creates a type of work. It can then be selected on time entries.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The type Of Work form payload.

application/json

namestringRequired
minLength: 1

The names of the type of work.

descriptionstring or nullOptional

A short description of the type of work.

iconstring or nullOptional

The icon associated with this task type.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the task type.

namestring or nullOptional

The name of the task type.

descriptionstring or nullOptional

A short (max. 140 characters) description of the task type.

iconstring or nullOptional

The icon associated with this task type.

isArchivedbooleanOptional

Whether the type of work has been archived.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation